Main Page Modules Class Hierarchy Compound List File List Compound Members

# NEDSemanticValidator Class Reference

`#include <nedsemanticvalidator.h>`

Inheritance diagram for NEDSemanticValidator::

List of all members.

## Public Methods

| NEDSemanticValidator (bool parsedExpr, NEDSymbolTable *symbtab)
virtual | ~NEDSemanticValidator ()
virtual void | validateElement (NedFilesNode *node)
virtual void | validateElement (NedFileNode *node)
virtual void | validateElement (ImportNode *node)
virtual void | validateElement (ImportedFileNode *node)
virtual void | validateElement (ChannelNode *node)
virtual void | validateElement (ChannelAttrNode *node)
virtual void | validateElement (NetworkNode *node)
virtual void | validateElement (SimpleModuleNode *node)
virtual void | validateElement (CompoundModuleNode *node)
virtual void | validateElement (ParamsNode *node)
virtual void | validateElement (ParamNode *node)
virtual void | validateElement (GatesNode *node)
virtual void | validateElement (GateNode *node)
virtual void | validateElement (MachinesNode *node)
virtual void | validateElement (MachineNode *node)
virtual void | validateElement (SubmodulesNode *node)
virtual void | validateElement (SubmoduleNode *node)
virtual void | validateElement (SubstparamsNode *node)
virtual void | validateElement (SubstparamNode *node)
virtual void | validateElement (GatesizesNode *node)
virtual void | validateElement (GatesizeNode *node)
virtual void | validateElement (SubstmachinesNode *node)
virtual void | validateElement (SubstmachineNode *node)
virtual void | validateElement (ConnectionsNode *node)
virtual void | validateElement (ConnectionNode *node)
virtual void | validateElement (ConnAttrNode *node)
virtual void | validateElement (ForLoopNode *node)
virtual void | validateElement (LoopVarNode *node)
virtual void | validateElement (DisplayStringNode *node)
virtual void | validateElement (ExpressionNode *node)
virtual void | validateElement (OperatorNode *node)
virtual void | validateElement (FunctionNode *node)
virtual void | validateElement (ParamRefNode *node)
virtual void | validateElement (IdentNode *node)
virtual void | validateElement (ConstNode *node)
virtual void | validateElement (CppincludeNode *node)
virtual void | validateElement (CppStructNode *node)
virtual void | validateElement (CppCobjectNode *node)
virtual void | validateElement (CppNoncobjectNode *node)
virtual void | validateElement (EnumNode *node)
virtual void | validateElement (EnumFieldsNode *node)
virtual void | validateElement (EnumFieldNode *node)
virtual void | validateElement (MessageNode *node)
virtual void | validateElement (ClassNode *node)
virtual void | validateElement (StructNode *node)
virtual void | validateElement (FieldsNode *node)
virtual void | validateElement (FieldNode *node)
virtual void | validateElement (PropertiesNode *node)
virtual void | validateElement (PropertyNode *node)
virtual void | validateElement (UnknownNode *node)

## Protected Methods

NEDElement* | findChildWithTagAndAttribute (NEDElement *node, int tag, const char *attr, const char *value)

## Protected Attributes

bool | parsedExpressions
NEDSymbolTable* | symboltable
NEDElement* | moduletypedecl

## Detailed Description

Performs semantic validation in addition to DTD validation. FIXME more...

The documentation for this class was generated from the following file:

- nedsemanticvalidator.h